Skip to content

商品评论列表 ​

简介 ​

获取指定商品的评论列表数据:

接口 ​

bash
    POST /product/v1/reviewList

request body ​

字段类型必选描述
filterobject否过滤参数
orderbyarray否排序参数
pageinteger否默认:1
pagesizeinteger否默认:10

filter 可选值 ​

字段类型必选描述
product_idstring是商品 ID

orderby 可选值 ​

字段必选描述
rating否评分
review_id否评论ID

request example ​

bash
curl 'https://openapi.fastmoss.com/product/v1/reviewList' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "product_id": "1729448464509734958"
    },
    "orderby": {
        "field": "rating",
        "order": "desc"
    },
    # "orderby": {
    #     "field": "review_id",
    #     "order": "desc"
    # },
    "page": 1,
    "pagesize": 10
}'

response body ​

data.list ​

字段类型描述
review_idstring评论ID
uidstring用户 ID
sku_idstringsku ID
sku_specificationstringsku 规格
ratingint评分
digg_countint点赞数
contentstring评论内容
create_timetimestamp创建时间

data.total ​

字段类型描述
totalstring总记录数

response example ​

json
{
  "code": 0,
  "data": {
    "list": [
      {
          "review_id": "7354810045655336747",
          "sku_id": "1729448464509800494",
          "sku_specification": "Item: Default",
          "rating": 5,
          "digg_count": 0,
          "content": "",
          "create_time": 1712425181310
      }
    ],
    "total": "3809"
  },
  "message": "success",
  "timestamp": 1743573480,
  "request_id": "efd631c4-92cf-5d27-4f41-de09f20dd714"
}